KCUTILMGR(1)

NAME
kcutilmgr - command line interface of miscellaneous utilities

DESCRIPTION

The command `kcutilmgr' is a tool of miscellaneous utilities, and to show the configuration. This command is used in the following format. `file' specifies a input file. If it is omitted, the standard input is read. If it begins with "@", the trailing substring is treated as the input. `pattern' specifies an matching pattern.

    kcutilmgr hex [-d] [file]
        Performs hexadecimal encoding and its decoding.
    kcutilmgr enc [-hex|-url|-quote] [-d] [file]
        Performs Base64 encoding and its decoding.
    kcutilmgr ciph [-key str] [file]
        Performs Arcfour cipher and its decipher.
    kcutilmgr comp [-def|-gz|-lzo|-lzma] [-d] [file]
        Performs ZLIB encoding and its decoding. By default, use the raw format.
    kcutilmgr hash [-fnv|-path|-crc] [file]
        Calculates the hash value. By default, use MurMur hashing.
    kcutilmgr regex [-alt str] [-ic] pattern [file]
        Prints lines matching a regular expression.
    kcutilmgr conf [-v|-i|-l|-p]
        Shows the configuration of Kyoto Cabinet.
    kcutilmgr version
        Shows the version information of Kyoto Cabinet.

Options feature the following.

    -d : perform decoding (unescaping), not encoding (escaping).
    -hex : use hexadecimal encoding.
    -url : use URL encoding.
    -quote : use Quoted-printable encoding.
    -key str : set the cipher key.
    -def : use the deflate format.
    -gz : use the gzip format.
    -lzo : use LZO encoding.
    -lzma : use LZMA encoding.
    -fnv : use FNV hashing.
    -path : use the path hashing of the directory database.
    -crc : calculate the CRC32 checksum.
    -alt str : replaces matching substring with the alternative string.
    -ic : ignores difference between upper and lower cases.
    -v : show the version number of Kyoto Cabinet.
    -i : show options to include the headers of Tokyo Cabinet.
    -l : show options to link the library of Tokyo Cabinet.
    -p : show the directory path of the commands.

This command returns 0 on success, another on failure.

SEE ALSO

kcutiltest(1)